Create Cost Model
curl --request POST \
--url https://api.nozle.app/api/v1/cost-models \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"metric_code": "<string>",
"cost_per_unit_cents": 123,
"model": "<string>"
}
'import requests
url = "https://api.nozle.app/api/v1/cost-models"
payload = {
"name": "<string>",
"metric_code": "<string>",
"cost_per_unit_cents": 123,
"model": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
metric_code: '<string>',
cost_per_unit_cents: 123,
model: '<string>'
})
};
fetch('https://api.nozle.app/api/v1/cost-models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nozle.app/api/v1/cost-models"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"metric_code\": \"<string>\",\n \"cost_per_unit_cents\": 123,\n \"model\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.nozle.app/api/v1/cost-models")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"metric_code\": \"<string>\",\n \"cost_per_unit_cents\": 123,\n \"model\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nozle.app/api/v1/cost-models",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'metric_code' => '<string>',
'cost_per_unit_cents' => 123,
'model' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://api.nozle.app/api/v1/cost-models")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"metric_code\": \"<string>\",\n \"cost_per_unit_cents\": 123,\n \"model\": \"<string>\"\n}")
.asString();Margin Intelligence
Create Cost Model
POST
/
cost-models
Create Cost Model
Create a new cost model for margin calculations.
Auth:
sk_ only
All cost model endpoints require a secret key (
sk_). Publishable keys will receive a 403 Forbidden response.string
required
Human-readable name for the cost model (for example, “Large Model Token Cost”)
string
required
feature code this cost model applies to
number
required
Cost per unit in cents
string
Provider model identifier used in your usage events